; ===========================
; Amiga 600
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "532f6c8c-bfe2-4a5d-8ede-fa967bf5c05b"
name = "amiga600"
fullname = "Amiga 600"
theme.folder = "amiga600"
roms.folder = "%ROOT%/amiga600"
screenscraper.id = 64
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/computers/amiga-600"
doc.link.en = "https://wiki.recalbox.com/en/emulators/computers/amiga-600"
port = 0
readonly = 0
icon.unicode = $F244

[properties]
type = computer
device.pad = mandatory
device.keyboard = optional
device.mouse = optional
device.lightgun = no
release.date = "1992-03"
manufacturer = "Commodore"
retroachievements = 0
crt.multiresolution = 0
crt.multiregion = 1

[core.0]
package = BR2_PACKAGE_AMIBERRY
package.odroidgo2 = BR2_PACKAGE_AMIBERRY33
priority = 1
emulator = "amiberry"
core = "amiberry"
extensions = ".adf .ipf .dms .fdi .hdf .hdz .lha .lhz .lzx .rp9 .zip"
netplay = 0
softpatching = 0
compatibility = high
speed = high

[core.1]
package = BR2_PACKAGE_LIBRETRO_UAE
priority = 2
emulator = "libretro"
core = "puae"
extensions = ".adf .adz .dms .fdi .hdf .hdz .info .ipf .lha .lhz .lzx .m3u .raw .slave .zip .7z"
netplay = 0
softpatching = 0
compatibility = high
speed = high
crt.available = 1

[core.2]
package = BR2_PACKAGE_LIBRETRO_UAE4ARM
priority = 3
emulator = "libretro"
core = "uae4arm"
extensions = ".adf .adz .dms .hdf .hdz .ipf .lha .lhz .lzx .m3u .zip"
netplay = 0
softpatching = 0
compatibility = high
speed = high
crt.available = 1

[core.0.rpi1]
package = BR2_PACKAGE_LIBRETRO_UAE4ALL
priority = 1
emulator = "libretro"
core = "uae4all"
extensions = ".adf .adz .zip"
netplay = 0
softpatching = 0
compatibility = low
speed = high
crt.available = 0
